// AMReminderDoc.c -- document-level functions

#include <Types.h>
#include <Events.h>
#include <Menus.h>
#include <stdlib.h>

#include "Globals.h"
#include "ResourceDefs.h"
#include "Dispatcher.h"
#include "Miscellany.h"
#include "AMReminderEngine.h"

#include "DDocData.h"
#include "MainWindow.h"
#include "AMReminderDoc.h"

static	AMReminderEngine*	GetEngine	(AMDoc*		self);


//----------
AMReminderDoc*		NewAMReminderDoc ()
{
	AMReminderDoc*		doc;

	doc = (AMReminderDoc*)malloc (sizeof (AMReminderDoc));
	AMReminderDoc_Init (doc);
	SetClassID (doc, classAMReminderDoc);

	return doc;
}

//----------
void	DeleteDoc (
	AMDoc*		doc)
{
	AMReminderDoc_Free ((AMReminderDoc*)doc);
	free (doc);
}

//----------
void	AMReminderDoc_Init (
	AMReminderDoc*		self)
{
	((AMDoc*)self)->mEngine = (AMEngine*) NewAMReminderEngine ();

	self->mMainWindowPtr = nil;
}

//----------
void	AMReminderDoc_Free (
	AMReminderDoc*		self)
{
}

//----------
AMReminderEngine*		GetEngine (
	AMDoc*		self)
{
	return (AMReminderEngine*) (self->mEngine);
}

//----------
void	OpenWindows (
	AMDoc*		self)
{
	AMReminderEngine*		engine = GetEngine (self);

	// replace this code to get data from someplace useful

	MainWindow_Create (self, GetDocData (engine));
}

//----------
Boolean		WouldCloseDoc (
	AMDoc*		doc,
	WindowPtr	inWindPtr)
{
	AMReminderDoc*		self = (AMReminderDoc*) doc;
	short		numOpen = 0;

	if (self->mMainWindowPtr != nil)		numOpen++;

	return (numOpen <= 1);
}

//----------
Boolean		DoDocCommand (
	AMDoc*		self,
	long		inCommand)
{
	Boolean		result = true;

	switch (inCommand) {
		case cmdSave:
				DoSave (self);
			break;
		case cmdSaveAs:
				DoSaveAs (self);
			break;
		case cmdRevert:
				DoRevert (self);
			break;
		case cmdPageSetup:
				DoPageSetup (self);
			break;
		case cmdPrint:
				DoPrint (self);
			break;

		default:
				result = false;
	} // switch
	return result;
}
