// DDocData.cp -- data container class for AMReminder

#include "PString.h"
#include "DDocData.h"

#include <stdlib.h>

//----------
DDocData*		NewDDocData ()
{
	DDocData*		data;

	data = (DDocData*)malloc (sizeof (DDocData));
	DDocData_Init (data);

	return data;
}

//----------
void	DeleteDDocData (
	DDocData*		data)
{
	DDocData_Free (data);
	free (data);
}

//----------
void	DDocData_Init (
	DDocData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mReminderChoice = 0;
	self->mReminders = nil;
}

//----------
void	DDocData_Free (
	DDocData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
SInt16		GetReminderChoice (
	DDocData*		self)
{

	return self->mReminderChoice;
}

void	SetReminderChoice (
	DDocData*		self,
	SInt16		inValue)
{
	self->mReminderChoice = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idReminderChoice);
}

//----------
DReminder*		GetReminders (
	DDocData*		self)
{

	return self->mReminders;
}

void	SetReminders (
	DDocData*		self,
	DReminder*		inValue)
{
	self->mReminders = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idReminders);
}
