// DReminder.cp -- data container class for AMReminder

#include "PString.h"
#include "DReminder.h"

#include <stdlib.h>

//----------
DReminder*		NewDReminder ()
{
	DReminder*		data;

	data = (DReminder*)malloc (sizeof (DReminder));
	DReminder_Init (data);

	return data;
}

//----------
void	DeleteDReminder (
	DReminder*		data)
{
	DReminder_Free (data);
	free (data);
}

//----------
void	DReminder_Init (
	DReminder*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mDateAndTime.od.eraAlt = 0;
	GetTime (&self->mDateAndTime.od.oldDate);
	AssignPStr (self->mMessage, "\p");
	self->mShowAlert = false;
	self->mShowIcon = false;
	self->mPlaySound = false;
	self->mSoundIndex = 1;
}

//----------
void	DReminder_Free (
	DReminder*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
LongDateRec		GetDateAndTime (
	DReminder*		self)
{

	return self->mDateAndTime;
}

void	SetDateAndTime (
	DReminder*		self,
	LongDateRec		inValue)
{
	self->mDateAndTime = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idDateAndTime);
}

//----------
StringPtr	GetMessage (
	DReminder*		self)
{

	AssignPStr (nil, self->mMessage);
	return self->mMessage;
}

void	SetMessageStr (
	DReminder*		self,
	Str255		inValue)
{
	AssignPStr (self->mMessage, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idMessage);
}

void	SetMessageHandle (
	DReminder*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mMessage, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idMessage);
}

//----------
Boolean		GetShowAlert (
	DReminder*		self)
{

	return self->mShowAlert;
}

void	SetShowAlert (
	DReminder*		self,
	Boolean		inValue)
{
	self->mShowAlert = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idShowAlert);
}

//----------
Boolean		GetShowIcon (
	DReminder*		self)
{

	return self->mShowIcon;
}

void	SetShowIcon (
	DReminder*		self,
	Boolean		inValue)
{
	self->mShowIcon = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idShowIcon);
}

//----------
Boolean		GetPlaySound (
	DReminder*		self)
{

	return self->mPlaySound;
}

void	SetPlaySound (
	DReminder*		self,
	Boolean		inValue)
{
	self->mPlaySound = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idPlaySound);
}

//----------
SInt16		GetSoundIndex (
	DReminder*		self)
{

	return self->mSoundIndex;
}

void	SetSoundIndex (
	DReminder*		self,
	SInt16		inValue)
{
	self->mSoundIndex = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSoundIndex);
}

//----------
StringPtr	GetDateString (
	DReminder*		self)
{
/* left as an exercise for the reader */
}

void	SetDateStringStr (
	DReminder*		self,
	Str255		inValue)
{
/* left as an exercise for the reader */
	SignalDataChanged ((AMSignaler*) self, idDateString);
}

void	SetDateStringHandle (
	DReminder*		self,
	CharsHandle		inValue)
{
/* left as an exercise for the reader */
	SignalDataChanged ((AMSignaler*) self, idDateString);
}

//----------
StringPtr	GetTimeString (
	DReminder*		self)
{
/* left as an exercise for the reader */
}

void	SetTimeStringStr (
	DReminder*		self,
	Str255		inValue)
{
/* left as an exercise for the reader */
	SignalDataChanged ((AMSignaler*) self, idTimeString);
}

void	SetTimeStringHandle (
	DReminder*		self,
	CharsHandle		inValue)
{
/* left as an exercise for the reader */
	SignalDataChanged ((AMSignaler*) self, idTimeString);
}

//----------
SInt16	GetAmPm (
	DReminder*		self)
{
/* left as an exercise for the reader */
}

void	SetAmPm (
	DReminder*		self,
	SInt16		inValue)
{
/* left as an exercise for the reader */
	SignalDataChanged ((AMSignaler*) self, idAmPm);
}
