/* MainWindow.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct AMReminderEngine;

//----------
struct MainWindow {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mLogoHandle;
	ControlHandle	mYearLabel;
	ControlHandle	mRemindersLabelLabel;
	ControlHandle	mRemindersHandle;
	ControlHandle	mAddHandle;
	ControlHandle	mEditHandle;
	ControlHandle	mDeleteHandle;
};
typedef struct MainWindow MainWindow;

//----------
MainWindow*		NewMainWindow ();
void	DeleteMainWindow		(MainWindow*		window);

//----------
//static:
void	MainWindow_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	MainWindow_Init		(MainWindow*	self);
void	MainWindow_Free		(MainWindow*	self);

void	MainWindow_Open		(MainWindow*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	MainWindow_Close	(MainWindow*	self);

void	MainWindow_Track		(MainWindow*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	MainWindow_MouseIn		(MainWindow*	self,
								 Point			where,
								 short			modifiers);
void	MainWindow_TypeIn		(MainWindow*	self,
								 char			ch);
void	MainWindow_ExitCurField	(MainWindow*	self);
void	MainWindow_DataChanged	(MainWindow*	self,
								 long			inDataID);
void	MainWindow_Resize		(MainWindow*	self);
void	MainWindow_Scroll		(MainWindow*	self,
								 short			newValue,
								 short			oldValue);

Boolean		MainWindow_DoCommand	(MainWindow*	self,
									 long			inCommand);
