/* Bars.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct EverythingEngine;

//----------
struct Bars {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mBarsHandle;
	ControlHandle	mScrollBarsHandle;
	ControlHandle	mStandard4Handle;
	ControlHandle	mGraphic4Handle;
	ControlHandle	mSliderHandle;
	ControlHandle	mTickMarksHandle;
	ControlHandle	mNonDirectionalHandle;
	ControlHandle	mLittleArrowsHandle;
	ControlHandle	mSpinnerHandle;
	ControlHandle	mVolumeControlHandle;
	ControlHandle	mJimSSliderHandle;
	ControlHandle	mProgressBarsHandle;
	ControlHandle	mStandard5Handle;
	ControlHandle	mIndeterminateHandle;
	ControlHandle	mChasingArrowsHandle;
	ControlHandle	mRectangleHandle;
	ControlHandle	mRoundRectHandle;
	ControlHandle	mBarberPoleHandle;
	ControlHandle	mRoundBarberHandle;
};
typedef struct Bars Bars;

//----------
Bars*		NewBars ();
void	DeleteBars		(Bars*		window);

//----------
//static:
void	Bars_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	Bars_Init		(Bars*	self);
void	Bars_Free		(Bars*	self);

void	Bars_Open		(Bars*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	Bars_Close	(Bars*	self);

void	Bars_Track		(Bars*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	Bars_MouseIn		(Bars*	self,
								 Point			where,
								 short			modifiers);
void	Bars_TypeIn		(Bars*	self,
								 char			ch);
void	Bars_ExitCurField	(Bars*	self);
void	Bars_DataChanged	(Bars*	self,
								 long			inDataID);
void	Bars_Resize		(Bars*	self);
void	Bars_Scroll		(Bars*	self,
								 short			newValue,
								 short			oldValue);

Boolean		Bars_DoCommand	(Bars*	self,
									 long			inCommand);
