/* Buttons.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct EverythingEngine;

//----------
struct Buttons {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mCapInvisibleLabel;
	ControlHandle	mInvisibleHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mDefaultHandle;
	ControlHandle	mBevelHandle;
	ControlHandle	mButtonHandle;
	ControlHandle	mNextHandle;
	ControlHandle	mNext2Handle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mCapcicnLabel;
	ControlHandle	mRightHandle;
	ControlHandle	mCapicl8Label;
	ControlHandle	mLightHandle;
	ControlHandle	mCapICNLabel;
	ControlHandle	mRight2Handle;
	ControlHandle	mCapicl9Label;
	ControlHandle	mButton2Handle;
	ControlHandle	mRight3Handle;
	ControlHandle	mCapPICTLabel;
	ControlHandle	mRect3DHandle;
	ControlHandle	mLeftIconHandle;
	ControlHandle	mRightIconHandle;
	ControlHandle	mTitledPICTHandle;
};
typedef struct Buttons Buttons;

//----------
Buttons*		NewButtons ();
void	DeleteButtons		(Buttons*		window);

//----------
//static:
void	Buttons_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	Buttons_Init		(Buttons*	self);
void	Buttons_Free		(Buttons*	self);

void	Buttons_Open		(Buttons*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	Buttons_Close	(Buttons*	self);

void	Buttons_Track		(Buttons*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	Buttons_MouseIn		(Buttons*	self,
								 Point			where,
								 short			modifiers);
void	Buttons_TypeIn		(Buttons*	self,
								 char			ch);
void	Buttons_ExitCurField	(Buttons*	self);
void	Buttons_DataChanged	(Buttons*	self,
								 long			inDataID);
void	Buttons_Resize		(Buttons*	self);
void	Buttons_Scroll		(Buttons*	self,
								 short			newValue,
								 short			oldValue);

Boolean		Buttons_DoCommand	(Buttons*	self,
									 long			inCommand);
