/* Checkboxes.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct EverythingEngine;

//----------
struct Checkboxes {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mStandard2Handle;
	ControlHandle	mXxHandle;
	ControlHandle	mCapTriangleLabel;
	ControlHandle	mGraphic2Handle;
	ControlHandle	mCapcicn2Label;
	ControlHandle	mLight2Handle;
	ControlHandle	mCapicl10Label;
	ControlHandle	mLight3Handle;
	ControlHandle	mCapicl11Label;
	ControlHandle	mIcl8NextHandle;
	ControlHandle	mCapICN2Label;
	ControlHandle	mLR3Handle;
	ControlHandle	mCapPICT2Label;
	ControlHandle	mLR4Handle;
	ControlHandle	mBevel2Handle;
	ControlHandle	mNextAloneHandle;
	ControlHandle	mNext3Handle;
	ControlHandle	mNext4Handle;
};
typedef struct Checkboxes Checkboxes;

//----------
Checkboxes*		NewCheckboxes ();
void	DeleteCheckboxes		(Checkboxes*		window);

//----------
//static:
void	Checkboxes_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	Checkboxes_Init		(Checkboxes*	self);
void	Checkboxes_Free		(Checkboxes*	self);

void	Checkboxes_Open		(Checkboxes*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	Checkboxes_Close	(Checkboxes*	self);

void	Checkboxes_Track		(Checkboxes*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	Checkboxes_MouseIn		(Checkboxes*	self,
								 Point			where,
								 short			modifiers);
void	Checkboxes_TypeIn		(Checkboxes*	self,
								 char			ch);
void	Checkboxes_ExitCurField	(Checkboxes*	self);
void	Checkboxes_DataChanged	(Checkboxes*	self,
								 long			inDataID);
void	Checkboxes_Resize		(Checkboxes*	self);
void	Checkboxes_Scroll		(Checkboxes*	self,
								 short			newValue,
								 short			oldValue);

Boolean		Checkboxes_DoCommand	(Checkboxes*	self,
									 long			inCommand);
