// DDocData.cp -- data container class for Everything

#include "PString.h"
#include "DDocData.h"

#include <stdlib.h>

//----------
DDocData*		NewDDocData ()
{
	DDocData*		data;

	data = (DDocData*)malloc (sizeof (DDocData));
	DDocData_Init (data);

	return data;
}

//----------
void	DeleteDDocData (
	DDocData*		data)
{
	DDocData_Free (data);
	free (data);
}

//----------
void	DDocData_Init (
	DDocData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mStandard = false;
	self->mXx = false;
	self->mLight = false;
	self->mLight2 = false;
	self->mLR3 = false;
	self->mLR4 = false;
	self->mIcl8Next = false;
	self->mNextAlone = false;
	self->mNext = false;
	self->mNext2 = false;
	self->mRadioGroup = 0;
	self->mGroup = 0;
	self->mGraphic = 0;
	self->mBevel = 0;
	self->mText = 0;
	AssignPStr (self->mSmall, "\pSmall");
	AssignPStr (self->mLarge, "\pLarge");
	self->mX12345 = 12345;
	self->mX12345e6 = 123.45e6;
	AssignPStr (self->mPassword, "\pPassword");
	self->mTheDate.od.eraAlt = 0;
	GetTime (&self->mTheDate.od.oldDate);
	self->mTheTime.od.eraAlt = 0;
	GetTime (&self->mTheTime.od.oldDate);
	AssignPStr (self->mStyled, "\p");
	self->mBars = 1;
	self->mStandard2 = 5;
	self->mGraphic2 = 5;
	self->mSlider = 5;
	self->mTickMarks = 5;
	self->mNonDirectional = 5;
	self->mLittleArrows = 0;
	self->mSpinner = 5;
	self->mVolumeControl = 5;
	self->mJimSSlider = 5;
	self->mStandard3 = 5;
	self->mIndeterminate = 0;
	self->mChasingArrows = 0;
	self->mRectangle = 5;
	self->mRoundRect = 5;
	self->mBarberPole = 0;
	self->mRoundBarber = 0;
	self->mTools = 0;
	self->mFromValuesList2 = 0;
	self->mFromMenu = 0;
	self->mTextList = 0;
}

//----------
void	DDocData_Free (
	DDocData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
Boolean		GetStandard (
	DDocData*		self)
{

	return self->mStandard;
}

void	SetStandard (
	DDocData*		self,
	Boolean		inValue)
{
	self->mStandard = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard);
}

//----------
Boolean		GetXx (
	DDocData*		self)
{

	return self->mXx;
}

void	SetXx (
	DDocData*		self,
	Boolean		inValue)
{
	self->mXx = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idXx);
}

//----------
Boolean		GetLight (
	DDocData*		self)
{

	return self->mLight;
}

void	SetLight (
	DDocData*		self,
	Boolean		inValue)
{
	self->mLight = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLight);
}

//----------
Boolean		GetLight2 (
	DDocData*		self)
{

	return self->mLight2;
}

void	SetLight2 (
	DDocData*		self,
	Boolean		inValue)
{
	self->mLight2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLight2);
}

//----------
Boolean		GetLR3 (
	DDocData*		self)
{

	return self->mLR3;
}

void	SetLR3 (
	DDocData*		self,
	Boolean		inValue)
{
	self->mLR3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR3);
}

//----------
Boolean		GetLR4 (
	DDocData*		self)
{

	return self->mLR4;
}

void	SetLR4 (
	DDocData*		self,
	Boolean		inValue)
{
	self->mLR4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR4);
}

//----------
Boolean		GetIcl8Next (
	DDocData*		self)
{

	return self->mIcl8Next;
}

void	SetIcl8Next (
	DDocData*		self,
	Boolean		inValue)
{
	self->mIcl8Next = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idIcl8Next);
}

//----------
Boolean		GetNextAlone (
	DDocData*		self)
{

	return self->mNextAlone;
}

void	SetNextAlone (
	DDocData*		self,
	Boolean		inValue)
{
	self->mNextAlone = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNextAlone);
}

//----------
Boolean		GetNext (
	DDocData*		self)
{

	return self->mNext;
}

void	SetNext (
	DDocData*		self,
	Boolean		inValue)
{
	self->mNext = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext);
}

//----------
Boolean		GetNext2 (
	DDocData*		self)
{

	return self->mNext2;
}

void	SetNext2 (
	DDocData*		self,
	Boolean		inValue)
{
	self->mNext2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext2);
}

//----------
SInt16		GetRadioGroup (
	DDocData*		self)
{

	return self->mRadioGroup;
}

void	SetRadioGroup (
	DDocData*		self,
	SInt16		inValue)
{
	self->mRadioGroup = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRadioGroup);
}

//----------
SInt16		GetGroup (
	DDocData*		self)
{

	return self->mGroup;
}

void	SetGroup (
	DDocData*		self,
	SInt16		inValue)
{
	self->mGroup = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGroup);
}

//----------
SInt16		GetGraphic (
	DDocData*		self)
{

	return self->mGraphic;
}

void	SetGraphic (
	DDocData*		self,
	SInt16		inValue)
{
	self->mGraphic = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic);
}

//----------
SInt16		GetBevel (
	DDocData*		self)
{

	return self->mBevel;
}

void	SetBevel (
	DDocData*		self,
	SInt16		inValue)
{
	self->mBevel = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBevel);
}

//----------
SInt16		GetText (
	DDocData*		self)
{

	return self->mText;
}

void	SetText (
	DDocData*		self,
	SInt16		inValue)
{
	self->mText = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idText);
}

//----------
StringPtr	GetSmall (
	DDocData*		self)
{

	AssignPStr (nil, self->mSmall);
	return self->mSmall;
}

void	SetSmallStr (
	DDocData*		self,
	Str255		inValue)
{
	AssignPStr (self->mSmall, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall);
}

void	SetSmallHandle (
	DDocData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mSmall, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall);
}

//----------
StringPtr	GetLarge (
	DDocData*		self)
{

	AssignPStr (nil, self->mLarge);
	return self->mLarge;
}

void	SetLargeStr (
	DDocData*		self,
	Str255		inValue)
{
	AssignPStr (self->mLarge, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge);
}

void	SetLargeHandle (
	DDocData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mLarge, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge);
}

//----------
SInt32		GetX12345 (
	DDocData*		self)
{

	return self->mX12345;
}

void	SetX12345 (
	DDocData*		self,
	SInt32		inValue)
{
	self->mX12345 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12345);
}

//----------
double		GetX12345e6 (
	DDocData*		self)
{

	return self->mX12345e6;
}

void	SetX12345e6 (
	DDocData*		self,
	double		inValue)
{
	self->mX12345e6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12345e6);
}

//----------
StringPtr	GetPassword (
	DDocData*		self)
{

	AssignPStr (nil, self->mPassword);
	return self->mPassword;
}

void	SetPasswordStr (
	DDocData*		self,
	Str255		inValue)
{
	AssignPStr (self->mPassword, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword);
}

void	SetPasswordHandle (
	DDocData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mPassword, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword);
}

//----------
LongDateRec		GetTheDate (
	DDocData*		self)
{

	return self->mTheDate;
}

void	SetTheDate (
	DDocData*		self,
	LongDateRec		inValue)
{
	self->mTheDate = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTheDate);
}

//----------
LongDateRec		GetTheTime (
	DDocData*		self)
{

	return self->mTheTime;
}

void	SetTheTime (
	DDocData*		self,
	LongDateRec		inValue)
{
	self->mTheTime = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTheTime);
}

//----------
StringPtr	GetStyled (
	DDocData*		self)
{

	AssignPStr (nil, self->mStyled);
	return self->mStyled;
}

void	SetStyledStr (
	DDocData*		self,
	Str255		inValue)
{
	AssignPStr (self->mStyled, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled);
}

void	SetStyledHandle (
	DDocData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mStyled, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled);
}

//----------
UInt16		GetBars (
	DDocData*		self)
{

	return self->mBars;
}

void	SetBars (
	DDocData*		self,
	UInt16		inValue)
{
	self->mBars = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBars);
}

//----------
SInt16		GetStandard2 (
	DDocData*		self)
{

	return self->mStandard2;
}

void	SetStandard2 (
	DDocData*		self,
	SInt16		inValue)
{
	self->mStandard2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard2);
}

//----------
SInt16		GetGraphic2 (
	DDocData*		self)
{

	return self->mGraphic2;
}

void	SetGraphic2 (
	DDocData*		self,
	SInt16		inValue)
{
	self->mGraphic2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic2);
}

//----------
SInt16		GetSlider (
	DDocData*		self)
{

	return self->mSlider;
}

void	SetSlider (
	DDocData*		self,
	SInt16		inValue)
{
	self->mSlider = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSlider);
}

//----------
SInt16		GetTickMarks (
	DDocData*		self)
{

	return self->mTickMarks;
}

void	SetTickMarks (
	DDocData*		self,
	SInt16		inValue)
{
	self->mTickMarks = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTickMarks);
}

//----------
SInt16		GetNonDirectional (
	DDocData*		self)
{

	return self->mNonDirectional;
}

void	SetNonDirectional (
	DDocData*		self,
	SInt16		inValue)
{
	self->mNonDirectional = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNonDirectional);
}

//----------
SInt16		GetLittleArrows (
	DDocData*		self)
{

	return self->mLittleArrows;
}

void	SetLittleArrows (
	DDocData*		self,
	SInt16		inValue)
{
	self->mLittleArrows = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLittleArrows);
}

//----------
SInt16		GetSpinner (
	DDocData*		self)
{

	return self->mSpinner;
}

void	SetSpinner (
	DDocData*		self,
	SInt16		inValue)
{
	self->mSpinner = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSpinner);
}

//----------
SInt16		GetVolumeControl (
	DDocData*		self)
{

	return self->mVolumeControl;
}

void	SetVolumeControl (
	DDocData*		self,
	SInt16		inValue)
{
	self->mVolumeControl = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idVolumeControl);
}

//----------
SInt16		GetJimSSlider (
	DDocData*		self)
{

	return self->mJimSSlider;
}

void	SetJimSSlider (
	DDocData*		self,
	SInt16		inValue)
{
	self->mJimSSlider = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idJimSSlider);
}

//----------
SInt16		GetStandard3 (
	DDocData*		self)
{

	return self->mStandard3;
}

void	SetStandard3 (
	DDocData*		self,
	SInt16		inValue)
{
	self->mStandard3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard3);
}

//----------
SInt16		GetIndeterminate (
	DDocData*		self)
{

	return self->mIndeterminate;
}

void	SetIndeterminate (
	DDocData*		self,
	SInt16		inValue)
{
	self->mIndeterminate = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idIndeterminate);
}

//----------
SInt16		GetChasingArrows (
	DDocData*		self)
{

	return self->mChasingArrows;
}

void	SetChasingArrows (
	DDocData*		self,
	SInt16		inValue)
{
	self->mChasingArrows = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idChasingArrows);
}

//----------
SInt16		GetRectangle (
	DDocData*		self)
{

	return self->mRectangle;
}

void	SetRectangle (
	DDocData*		self,
	SInt16		inValue)
{
	self->mRectangle = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRectangle);
}

//----------
SInt16		GetRoundRect (
	DDocData*		self)
{

	return self->mRoundRect;
}

void	SetRoundRect (
	DDocData*		self,
	SInt16		inValue)
{
	self->mRoundRect = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundRect);
}

//----------
SInt16		GetBarberPole (
	DDocData*		self)
{

	return self->mBarberPole;
}

void	SetBarberPole (
	DDocData*		self,
	SInt16		inValue)
{
	self->mBarberPole = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBarberPole);
}

//----------
SInt16		GetRoundBarber (
	DDocData*		self)
{

	return self->mRoundBarber;
}

void	SetRoundBarber (
	DDocData*		self,
	SInt16		inValue)
{
	self->mRoundBarber = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundBarber);
}

//----------
SInt16		GetTools (
	DDocData*		self)
{

	return self->mTools;
}

void	SetTools (
	DDocData*		self,
	SInt16		inValue)
{
	self->mTools = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTools);
}

//----------
SInt16		GetFromValuesList2 (
	DDocData*		self)
{

	return self->mFromValuesList2;
}

void	SetFromValuesList2 (
	DDocData*		self,
	SInt16		inValue)
{
	self->mFromValuesList2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromValuesList2);
}

//----------
SInt16		GetFromMenu (
	DDocData*		self)
{

	return self->mFromMenu;
}

void	SetFromMenu (
	DDocData*		self,
	SInt16		inValue)
{
	self->mFromMenu = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromMenu);
}

//----------
SInt16		GetTextList (
	DDocData*		self)
{

	return self->mTextList;
}

void	SetTextList (
	DDocData*		self,
	SInt16		inValue)
{
	self->mTextList = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTextList);
}
