// DModalBarsData.cp -- data container class for Everything

#include "PString.h"
#include "DModalBarsData.h"

#include <stdlib.h>

//----------
DModalBarsData*		NewDModalBarsData ()
{
	DModalBarsData*		data;

	data = (DModalBarsData*)malloc (sizeof (DModalBarsData));
	DModalBarsData_Init (data);

	return data;
}

//----------
void	DeleteDModalBarsData (
	DModalBarsData*		data)
{
	DModalBarsData_Free (data);
	free (data);
}

//----------
void	DModalBarsData_Init (
	DModalBarsData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mBars2 = 0;
	self->mStandard5 = 5;
	self->mGraphic4 = 5;
	self->mSlider2 = 5;
	self->mTickMarks2 = 5;
	self->mNonDirectional2 = 5;
	self->mLittleArrows2 = 5;
	self->mSpinner2 = 5;
	self->mVolumeControl2 = 5;
	self->mJimSSlider2 = 5;
	self->mStandard6 = 5;
	self->mIndeterminate2 = 5;
	self->mChasingArrows2 = 5;
	self->mRectangle2 = 5;
	self->mRoundRect2 = 5;
	self->mBarberPole2 = 5;
	self->mRoundBarber2 = 5;
}

//----------
void	DModalBarsData_Free (
	DModalBarsData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
UInt16		GetBars2 (
	DModalBarsData*		self)
{

	return self->mBars2;
}

void	SetBars2 (
	DModalBarsData*		self,
	UInt16		inValue)
{
	self->mBars2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBars2);
}

//----------
SInt16		GetStandard5 (
	DModalBarsData*		self)
{

	return self->mStandard5;
}

void	SetStandard5 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mStandard5 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard5);
}

//----------
SInt16		GetGraphic4 (
	DModalBarsData*		self)
{

	return self->mGraphic4;
}

void	SetGraphic4 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mGraphic4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic4);
}

//----------
SInt16		GetSlider2 (
	DModalBarsData*		self)
{

	return self->mSlider2;
}

void	SetSlider2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mSlider2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSlider2);
}

//----------
SInt16		GetTickMarks2 (
	DModalBarsData*		self)
{

	return self->mTickMarks2;
}

void	SetTickMarks2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mTickMarks2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTickMarks2);
}

//----------
SInt16		GetNonDirectional2 (
	DModalBarsData*		self)
{

	return self->mNonDirectional2;
}

void	SetNonDirectional2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mNonDirectional2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNonDirectional2);
}

//----------
SInt16		GetLittleArrows2 (
	DModalBarsData*		self)
{

	return self->mLittleArrows2;
}

void	SetLittleArrows2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mLittleArrows2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLittleArrows2);
}

//----------
SInt16		GetSpinner2 (
	DModalBarsData*		self)
{

	return self->mSpinner2;
}

void	SetSpinner2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mSpinner2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSpinner2);
}

//----------
SInt16		GetVolumeControl2 (
	DModalBarsData*		self)
{

	return self->mVolumeControl2;
}

void	SetVolumeControl2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mVolumeControl2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idVolumeControl2);
}

//----------
SInt16		GetJimSSlider2 (
	DModalBarsData*		self)
{

	return self->mJimSSlider2;
}

void	SetJimSSlider2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mJimSSlider2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idJimSSlider2);
}

//----------
SInt16		GetStandard6 (
	DModalBarsData*		self)
{

	return self->mStandard6;
}

void	SetStandard6 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mStandard6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard6);
}

//----------
SInt16		GetIndeterminate2 (
	DModalBarsData*		self)
{

	return self->mIndeterminate2;
}

void	SetIndeterminate2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mIndeterminate2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idIndeterminate2);
}

//----------
SInt16		GetChasingArrows2 (
	DModalBarsData*		self)
{

	return self->mChasingArrows2;
}

void	SetChasingArrows2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mChasingArrows2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idChasingArrows2);
}

//----------
SInt16		GetRectangle2 (
	DModalBarsData*		self)
{

	return self->mRectangle2;
}

void	SetRectangle2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mRectangle2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRectangle2);
}

//----------
SInt16		GetRoundRect2 (
	DModalBarsData*		self)
{

	return self->mRoundRect2;
}

void	SetRoundRect2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mRoundRect2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundRect2);
}

//----------
SInt16		GetBarberPole2 (
	DModalBarsData*		self)
{

	return self->mBarberPole2;
}

void	SetBarberPole2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mBarberPole2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBarberPole2);
}

//----------
SInt16		GetRoundBarber2 (
	DModalBarsData*		self)
{

	return self->mRoundBarber2;
}

void	SetRoundBarber2 (
	DModalBarsData*		self,
	SInt16		inValue)
{
	self->mRoundBarber2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundBarber2);
}
