// DModalCheckboxesData.cp -- data container class for Everything

#include "PString.h"
#include "DModalCheckboxesData.h"

#include <stdlib.h>

//----------
DModalCheckboxesData*		NewDModalCheckboxesData ()
{
	DModalCheckboxesData*		data;

	data = (DModalCheckboxesData*)malloc (sizeof (DModalCheckboxesData));
	DModalCheckboxesData_Init (data);

	return data;
}

//----------
void	DeleteDModalCheckboxesData (
	DModalCheckboxesData*		data)
{
	DModalCheckboxesData_Free (data);
	free (data);
}

//----------
void	DModalCheckboxesData_Init (
	DModalCheckboxesData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mStandard4 = false;
	self->mXx2 = false;
	self->mLR5 = false;
	self->mLR6 = false;
	self->mLR7 = false;
	self->mLR8 = false;
	self->mCheckbox3 = false;
	self->mCheckbox4 = false;
	self->mNext3 = false;
	self->mNext4 = false;
}

//----------
void	DModalCheckboxesData_Free (
	DModalCheckboxesData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
Boolean		GetStandard4 (
	DModalCheckboxesData*		self)
{

	return self->mStandard4;
}

void	SetStandard4 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mStandard4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard4);
}

//----------
Boolean		GetXx2 (
	DModalCheckboxesData*		self)
{

	return self->mXx2;
}

void	SetXx2 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mXx2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idXx2);
}

//----------
Boolean		GetLR5 (
	DModalCheckboxesData*		self)
{

	return self->mLR5;
}

void	SetLR5 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR5 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR5);
}

//----------
Boolean		GetLR6 (
	DModalCheckboxesData*		self)
{

	return self->mLR6;
}

void	SetLR6 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR6);
}

//----------
Boolean		GetLR7 (
	DModalCheckboxesData*		self)
{

	return self->mLR7;
}

void	SetLR7 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR7 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR7);
}

//----------
Boolean		GetLR8 (
	DModalCheckboxesData*		self)
{

	return self->mLR8;
}

void	SetLR8 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR8 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR8);
}

//----------
Boolean		GetCheckbox3 (
	DModalCheckboxesData*		self)
{

	return self->mCheckbox3;
}

void	SetCheckbox3 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mCheckbox3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idCheckbox3);
}

//----------
Boolean		GetCheckbox4 (
	DModalCheckboxesData*		self)
{

	return self->mCheckbox4;
}

void	SetCheckbox4 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mCheckbox4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idCheckbox4);
}

//----------
Boolean		GetNext3 (
	DModalCheckboxesData*		self)
{

	return self->mNext3;
}

void	SetNext3 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mNext3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext3);
}

//----------
Boolean		GetNext4 (
	DModalCheckboxesData*		self)
{

	return self->mNext4;
}

void	SetNext4 (
	DModalCheckboxesData*		self,
	Boolean		inValue)
{
	self->mNext4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext4);
}
