// DModalRadiosData.cp -- data container class for Everything

#include "PString.h"
#include "DModalRadiosData.h"

#include <stdlib.h>

//----------
DModalRadiosData*		NewDModalRadiosData ()
{
	DModalRadiosData*		data;

	data = (DModalRadiosData*)malloc (sizeof (DModalRadiosData));
	DModalRadiosData_Init (data);

	return data;
}

//----------
void	DeleteDModalRadiosData (
	DModalRadiosData*		data)
{
	DModalRadiosData_Free (data);
	free (data);
}

//----------
void	DModalRadiosData_Init (
	DModalRadiosData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mRadioGroup2 = 0;
	self->mGroup2 = 0;
	self->mGraphic3 = 0;
	self->mBevel2 = 0;
	self->mText2 = 0;
}

//----------
void	DModalRadiosData_Free (
	DModalRadiosData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
SInt16		GetRadioGroup2 (
	DModalRadiosData*		self)
{

	return self->mRadioGroup2;
}

void	SetRadioGroup2 (
	DModalRadiosData*		self,
	SInt16		inValue)
{
	self->mRadioGroup2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRadioGroup2);
}

//----------
SInt16		GetGroup2 (
	DModalRadiosData*		self)
{

	return self->mGroup2;
}

void	SetGroup2 (
	DModalRadiosData*		self,
	SInt16		inValue)
{
	self->mGroup2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGroup2);
}

//----------
SInt16		GetGraphic3 (
	DModalRadiosData*		self)
{

	return self->mGraphic3;
}

void	SetGraphic3 (
	DModalRadiosData*		self,
	SInt16		inValue)
{
	self->mGraphic3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic3);
}

//----------
SInt16		GetBevel2 (
	DModalRadiosData*		self)
{

	return self->mBevel2;
}

void	SetBevel2 (
	DModalRadiosData*		self,
	SInt16		inValue)
{
	self->mBevel2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBevel2);
}

//----------
SInt16		GetText2 (
	DModalRadiosData*		self)
{

	return self->mText2;
}

void	SetText2 (
	DModalRadiosData*		self,
	SInt16		inValue)
{
	self->mText2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idText2);
}
