// DModalStuffData.cp -- data container class for Everything

#include "PString.h"
#include "DModalStuffData.h"

#include <stdlib.h>

//----------
DModalStuffData*		NewDModalStuffData ()
{
	DModalStuffData*		data;

	data = (DModalStuffData*)malloc (sizeof (DModalStuffData));
	DModalStuffData_Init (data);

	return data;
}

//----------
void	DeleteDModalStuffData (
	DModalStuffData*		data)
{
	DModalStuffData_Free (data);
	free (data);
}

//----------
void	DModalStuffData_Init (
	DModalStuffData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mTools2 = 0;
	self->mFromValuesList3 = 0;
	self->mFromMenu2 = 0;
	self->mTextList2 = 0;
}

//----------
void	DModalStuffData_Free (
	DModalStuffData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
SInt16		GetTools2 (
	DModalStuffData*		self)
{

	return self->mTools2;
}

void	SetTools2 (
	DModalStuffData*		self,
	SInt16		inValue)
{
	self->mTools2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTools2);
}

//----------
SInt16		GetFromValuesList3 (
	DModalStuffData*		self)
{

	return self->mFromValuesList3;
}

void	SetFromValuesList3 (
	DModalStuffData*		self,
	SInt16		inValue)
{
	self->mFromValuesList3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromValuesList3);
}

//----------
SInt16		GetFromMenu2 (
	DModalStuffData*		self)
{

	return self->mFromMenu2;
}

void	SetFromMenu2 (
	DModalStuffData*		self,
	SInt16		inValue)
{
	self->mFromMenu2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromMenu2);
}

//----------
SInt16		GetTextList2 (
	DModalStuffData*		self)
{

	return self->mTextList2;
}

void	SetTextList2 (
	DModalStuffData*		self,
	SInt16		inValue)
{
	self->mTextList2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTextList2);
}
