// DModelessBarsData.cp -- data container class for Everything

#include "PString.h"
#include "DModelessBarsData.h"

#include <stdlib.h>

//----------
DModelessBarsData*		NewDModelessBarsData ()
{
	DModelessBarsData*		data;

	data = (DModelessBarsData*)malloc (sizeof (DModelessBarsData));
	DModelessBarsData_Init (data);

	return data;
}

//----------
void	DeleteDModelessBarsData (
	DModelessBarsData*		data)
{
	DModelessBarsData_Free (data);
	free (data);
}

//----------
void	DModelessBarsData_Init (
	DModelessBarsData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mBars3 = 0;
	self->mStandard8 = 5;
	self->mGraphic6 = 5;
	self->mSlider3 = 5;
	self->mTickMarks3 = 5;
	self->mNonDirectional3 = 5;
	self->mLittleArrows3 = 5;
	self->mSpinner3 = 5;
	self->mVolumeControl3 = 5;
	self->mJimSSlider3 = 5;
	self->mStandard9 = 5;
	self->mIndeterminate3 = 5;
	self->mChasingArrows3 = 5;
	self->mRectangle3 = 5;
	self->mRoundRect3 = 5;
	self->mBarberPole3 = 5;
	self->mRoundBarber3 = 5;
}

//----------
void	DModelessBarsData_Free (
	DModelessBarsData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
UInt16		GetBars3 (
	DModelessBarsData*		self)
{

	return self->mBars3;
}

void	SetBars3 (
	DModelessBarsData*		self,
	UInt16		inValue)
{
	self->mBars3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBars3);
}

//----------
SInt16		GetStandard8 (
	DModelessBarsData*		self)
{

	return self->mStandard8;
}

void	SetStandard8 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mStandard8 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard8);
}

//----------
SInt16		GetGraphic6 (
	DModelessBarsData*		self)
{

	return self->mGraphic6;
}

void	SetGraphic6 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mGraphic6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic6);
}

//----------
SInt16		GetSlider3 (
	DModelessBarsData*		self)
{

	return self->mSlider3;
}

void	SetSlider3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mSlider3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSlider3);
}

//----------
SInt16		GetTickMarks3 (
	DModelessBarsData*		self)
{

	return self->mTickMarks3;
}

void	SetTickMarks3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mTickMarks3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTickMarks3);
}

//----------
SInt16		GetNonDirectional3 (
	DModelessBarsData*		self)
{

	return self->mNonDirectional3;
}

void	SetNonDirectional3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mNonDirectional3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNonDirectional3);
}

//----------
SInt16		GetLittleArrows3 (
	DModelessBarsData*		self)
{

	return self->mLittleArrows3;
}

void	SetLittleArrows3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mLittleArrows3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLittleArrows3);
}

//----------
SInt16		GetSpinner3 (
	DModelessBarsData*		self)
{

	return self->mSpinner3;
}

void	SetSpinner3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mSpinner3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idSpinner3);
}

//----------
SInt16		GetVolumeControl3 (
	DModelessBarsData*		self)
{

	return self->mVolumeControl3;
}

void	SetVolumeControl3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mVolumeControl3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idVolumeControl3);
}

//----------
SInt16		GetJimSSlider3 (
	DModelessBarsData*		self)
{

	return self->mJimSSlider3;
}

void	SetJimSSlider3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mJimSSlider3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idJimSSlider3);
}

//----------
SInt16		GetStandard9 (
	DModelessBarsData*		self)
{

	return self->mStandard9;
}

void	SetStandard9 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mStandard9 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard9);
}

//----------
SInt16		GetIndeterminate3 (
	DModelessBarsData*		self)
{

	return self->mIndeterminate3;
}

void	SetIndeterminate3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mIndeterminate3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idIndeterminate3);
}

//----------
SInt16		GetChasingArrows3 (
	DModelessBarsData*		self)
{

	return self->mChasingArrows3;
}

void	SetChasingArrows3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mChasingArrows3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idChasingArrows3);
}

//----------
SInt16		GetRectangle3 (
	DModelessBarsData*		self)
{

	return self->mRectangle3;
}

void	SetRectangle3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mRectangle3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRectangle3);
}

//----------
SInt16		GetRoundRect3 (
	DModelessBarsData*		self)
{

	return self->mRoundRect3;
}

void	SetRoundRect3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mRoundRect3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundRect3);
}

//----------
SInt16		GetBarberPole3 (
	DModelessBarsData*		self)
{

	return self->mBarberPole3;
}

void	SetBarberPole3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mBarberPole3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBarberPole3);
}

//----------
SInt16		GetRoundBarber3 (
	DModelessBarsData*		self)
{

	return self->mRoundBarber3;
}

void	SetRoundBarber3 (
	DModelessBarsData*		self,
	SInt16		inValue)
{
	self->mRoundBarber3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRoundBarber3);
}
