// Dispatcher.h

#pragma once

#define classEverythingApp		1
#define classEverythingDoc		2
#define classEverythingEngine		3
#define classButtons		4
#define classCheckboxes		5
#define classRadios		6
#define classEditText		7
#define classStuff		8
#define classBars		9
#define classAboutDialog		10
#define classModalButtons		11
#define classModalCheckboxes		12
#define classModalRadios		13
#define classModalText		14
#define classModalStuff		15
#define classModalBars		16
#define classModelessButtons		17
#define classModelessCheckboxes		18
#define classModelessRadios		19
#define classModelessText		20
#define classModelessStuff		21
#define classModelessBars		22

#include "AMWindow.h"
#include "AMDialog.h"

/*----------*/
void	DoIdle	(void);

//----------
// windows
void	Close		(AMWindow*		window);
void	DoTrack		(AMWindow*		window,
			 		 ControlHandle	whichControl,
			 		 short	 		whichPart,
					 Point			where);
void	MouseIn		(AMWindow*		window,
			 		 Point			where,
					 short			modifiers);
void	TypeIn		(AMWindow*		window,
			 		 char			ch);
void	Resize		(AMWindow*		window);
void	Scroll		(AMWindow*		window,
			 		 short			newValue,
					 short			oldValue);
Boolean	DoCommand	(AMWindow*		window,
			 		 long			inCommand);
void	ExitCurField	(AMWindow*		window);
void	DataChanged		(AMResponder*	responder,
						 long			inDataID);

//----------
// dialogs
void	FinishMake	(AMDialog*		dialog);
void	ConnectToData	(AMDialog*		dialog,
						 AMSignaler*	inData);
void	DoItem		(AMDialog*		dialog,
					 SInt16			inItemHit);
Boolean	Filter		(AMDialog*			dialog,
					 EventRecord		*ioEvent,
					 DialogItemIndex	*outItemHit);

//----------
// (to be obsolete) modeless dialogs
void	InitModelessDialogs (void);
void	CloseModelessDialog (DialogPtr		whichDialog);
