/* EverythingEngine.h -- application-specific data management */

#pragma once

#include "AMEngine.h"

/* Define the creator type and file type for your application. */

#define kSignature		'XXXX'
#define kFileType		'TEXT'

#include "DDocData.h"
#include "DModalCheckboxesData.h"
#include "DModalRadiosData.h"
#include "DModalTextData.h"
#include "DModalStuffData.h"
#include "DModalBarsData.h"
#include "DModelessCheckboxesData.h"
#include "DModelessRadiosData.h"
#include "DModelessTextData.h"
#include "DModelessStuffData.h"
#include "DModelessBarsData.h"

//----------
struct EverythingEngine {
	AMEngine		super;
};
typedef struct EverythingEngine EverythingEngine;

//----------
EverythingEngine*		NewEverythingEngine ();

//----------
void	EverythingEngine_Init		(EverythingEngine*		self);
void	EverythingEngine_Free		(EverythingEngine*		self);

DDocData*	GetDocData	(EverythingEngine*		self);
DModalCheckboxesData*	GetModalCheckboxesData	(EverythingEngine*		self);
DModalRadiosData*	GetModalRadiosData	(EverythingEngine*		self);
DModalTextData*	GetModalTextData	(EverythingEngine*		self);
DModalStuffData*	GetModalStuffData	(EverythingEngine*		self);
DModalBarsData*	GetModalBarsData	(EverythingEngine*		self);
DModelessCheckboxesData*	GetModelessCheckboxesData	(EverythingEngine*		self);
DModelessRadiosData*	GetModelessRadiosData	(EverythingEngine*		self);
DModelessTextData*	GetModelessTextData	(EverythingEngine*		self);
DModelessStuffData*	GetModelessStuffData	(EverythingEngine*		self);
DModelessBarsData*	GetModelessBarsData	(EverythingEngine*		self);

// overrides:
void	InitData		(AMEngine*		engine);
void	DisposeData		(AMEngine*		engine);
void	ReadFile		(AMEngine*		engine);
void	WriteFile		(AMEngine*		engine);
