/* ModalBars.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DModalBarsData.h"

/*----------*/
Boolean		GetModalBars	(DModalBarsData*		ioData);

//----------
struct ModalBars {
	AMDialog		super;

	DModalBarsData*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mBarsHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mSliderHandle;
	ControlHandle	mTickMarksHandle;
	ControlHandle	mNonDirectionalHandle;
	ControlHandle	mLittleArrowsHandle;
	ControlHandle	mSpinnerHandle;
	ControlHandle	mVolumeControlHandle;
	ControlHandle	mJimSSliderHandle;
	ControlHandle	mStandard2Handle;
	ControlHandle	mIndeterminateHandle;
	ControlHandle	mChasingArrowsHandle;
	ControlHandle	mRectangleHandle;
	ControlHandle	mRoundRectHandle;
	ControlHandle	mBarberPoleHandle;
	ControlHandle	mRoundBarberHandle;
};
typedef struct ModalBars ModalBars;

//----------
ModalBars*		NewModalBars ();
void	DeleteModalBars		(ModalBars*		window);

//public:
void	ModalBars_Init		(ModalBars*	self);
void	ModalBars_Free		(ModalBars*	self);

//public:
void	ModalBars_ConnectToData	(ModalBars*	self,
								 AMSignaler*	inData);

//protected:
void	ModalBars_FinishMake 		(ModalBars*	self);
void	ModalBars_DoItem			(ModalBars*	self,
								 SInt16		inItemHit);
void	ModalBars_DataChanged		(ModalBars*	self,
								 long		inDataID);
Boolean	ModalBars_Filter			(ModalBars*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
