/* ModalButtons.h -- Modal dialog */

#pragma once

#include "AMDialog.h"

/*----------*/
Boolean		GetModalButtons ();

//----------
struct ModalButtons {
	AMDialog		super;

	ControlHandle	mOKHandle;
	ControlHandle	mInvisibleHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mDefaultHandle;
	ControlHandle	mBevelHandle;
	ControlHandle	mButtonHandle;
	ControlHandle	mNextHandle;
	ControlHandle	mNext2Handle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mRightHandle;
	ControlHandle	mLightHandle;
	ControlHandle	mRight2Handle;
	ControlHandle	mButton2Handle;
	ControlHandle	mRight3Handle;
	ControlHandle	mRect3DHandle;
	ControlHandle	mLeftIconHandle;
	ControlHandle	mRightIconHandle;
	ControlHandle	mTitledPICTHandle;
};
typedef struct ModalButtons ModalButtons;

//----------
ModalButtons*		NewModalButtons ();
void	DeleteModalButtons		(ModalButtons*		window);

//public:
void	ModalButtons_Init		(ModalButtons*	self);
void	ModalButtons_Free		(ModalButtons*	self);

//public:
void	ModalButtons_ConnectToData	(ModalButtons*	self,
								 AMSignaler*	inData);

//protected:
void	ModalButtons_FinishMake 		(ModalButtons*	self);
void	ModalButtons_DoItem			(ModalButtons*	self,
								 SInt16		inItemHit);
void	ModalButtons_DataChanged		(ModalButtons*	self,
								 long		inDataID);
Boolean	ModalButtons_Filter			(ModalButtons*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
