/* ModalCheckboxes.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DModalCheckboxesData.h"

/*----------*/
Boolean		GetModalCheckboxes	(DModalCheckboxesData*		ioData);

//----------
struct ModalCheckboxes {
	AMDialog		super;

	DModalCheckboxesData*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mXxHandle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mLRHandle;
	ControlHandle	mLR2Handle;
	ControlHandle	mLR3Handle;
	ControlHandle	mLR4Handle;
	ControlHandle	mCheckboxHandle;
	ControlHandle	mBevelHandle;
	ControlHandle	mCheckbox2Handle;
	ControlHandle	mNextHandle;
	ControlHandle	mNext2Handle;
};
typedef struct ModalCheckboxes ModalCheckboxes;

//----------
ModalCheckboxes*		NewModalCheckboxes ();
void	DeleteModalCheckboxes		(ModalCheckboxes*		window);

//public:
void	ModalCheckboxes_Init		(ModalCheckboxes*	self);
void	ModalCheckboxes_Free		(ModalCheckboxes*	self);

//public:
void	ModalCheckboxes_ConnectToData	(ModalCheckboxes*	self,
								 AMSignaler*	inData);

//protected:
void	ModalCheckboxes_FinishMake 		(ModalCheckboxes*	self);
void	ModalCheckboxes_DoItem			(ModalCheckboxes*	self,
								 SInt16		inItemHit);
void	ModalCheckboxes_DataChanged		(ModalCheckboxes*	self,
								 long		inDataID);
Boolean	ModalCheckboxes_Filter			(ModalCheckboxes*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
