/* ModalRadios.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DModalRadiosData.h"

/*----------*/
Boolean		GetModalRadios	(DModalRadiosData*		ioData);

//----------
struct ModalRadios {
	AMDialog		super;

	DModalRadiosData*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mRadioGroupGroupHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mGroupBoxHandle;
	ControlHandle	mGroupGroupHandle;
	ControlHandle	mGroupRadio1Handle;
	ControlHandle	mGroupRadio2Handle;
	ControlHandle	mGroupRadio3Handle;
	ControlHandle	mGraphicBoxHandle;
	ControlHandle	mGraphicGroupHandle;
	ControlHandle	mStopHandle;
	ControlHandle	mGoHandle;
	ControlHandle	mBevelBoxHandle;
	ControlHandle	mBevelGroupHandle;
	ControlHandle	mRadioButtonHandle;
	ControlHandle	mRadioButton2Handle;
	ControlHandle	mTextBoxHandle;
	ControlHandle	mTextGroupHandle;
	ControlHandle	mNameHandle;
	ControlHandle	mKindHandle;
	ControlHandle	mSizeHandle;
};
typedef struct ModalRadios ModalRadios;

//----------
ModalRadios*		NewModalRadios ();
void	DeleteModalRadios		(ModalRadios*		window);

//public:
void	ModalRadios_Init		(ModalRadios*	self);
void	ModalRadios_Free		(ModalRadios*	self);

//public:
void	ModalRadios_ConnectToData	(ModalRadios*	self,
								 AMSignaler*	inData);

//protected:
void	ModalRadios_FinishMake 		(ModalRadios*	self);
void	ModalRadios_DoItem			(ModalRadios*	self,
								 SInt16		inItemHit);
void	ModalRadios_DataChanged		(ModalRadios*	self,
								 long		inDataID);
Boolean	ModalRadios_Filter			(ModalRadios*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
