/* ModalText.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DModalTextData.h"

/*----------*/
Boolean		GetModalText	(DModalTextData*		ioData);

//----------
struct ModalText {
	AMDialog		super;

	DModalTextData*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mSmallHandle;
	ControlHandle	mLargeHandle;
	ControlHandle	mX12345Handle;
	ControlHandle	mX12345e6Handle;
	ControlHandle	mPasswordHandle;
	ControlHandle	mDateHandle;
	ControlHandle	mTimeHandle;
	ControlHandle	mStyledHandle;
};
typedef struct ModalText ModalText;

//----------
ModalText*		NewModalText ();
void	DeleteModalText		(ModalText*		window);

//public:
void	ModalText_Init		(ModalText*	self);
void	ModalText_Free		(ModalText*	self);

//public:
void	ModalText_ConnectToData	(ModalText*	self,
								 AMSignaler*	inData);

//protected:
void	ModalText_FinishMake 		(ModalText*	self);
void	ModalText_DoItem			(ModalText*	self,
								 SInt16		inItemHit);
void	ModalText_DataChanged		(ModalText*	self,
								 long		inDataID);
Boolean	ModalText_Filter			(ModalText*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
