// ModelessBars.h -- modeless dialog

#pragma once

#include "AMDialog.h"
#include "DModelessBarsData.h"

//----------
struct ModelessBars {
	AMDialog		super;

	DModelessBarsData*		mData;

	ControlHandle	mBarsHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mSliderHandle;
	ControlHandle	mTickMarksHandle;
	ControlHandle	mNonDirectionalHandle;
	ControlHandle	mLittleArrowsHandle;
	ControlHandle	mSpinnerHandle;
	ControlHandle	mVolumeControlHandle;
	ControlHandle	mJimSSliderHandle;
	ControlHandle	mStandard2Handle;
	ControlHandle	mIndeterminateHandle;
	ControlHandle	mChasingArrowsHandle;
	ControlHandle	mRectangleHandle;
	ControlHandle	mRoundRectHandle;
	ControlHandle	mBarberPoleHandle;
	ControlHandle	mRoundBarberHandle;
};
typedef struct ModelessBars ModelessBars;

//----------
ModelessBars*		NewModelessBars ();
void	DeleteModelessBars		(ModelessBars*		window);

//public:
void	ModelessBars_Create ();
void	ModelessBars_Show ();
void	ModelessBars_Close ();

//public:
void	ModelessBars_Init		(ModelessBars*	self);
void	ModelessBars_Free		(ModelessBars*	self);

//public:
void	ModelessBars_ConnectToData	(ModelessBars*	self,
								 AMSignaler*	inData);
void	ModelessBars_DoItem			(ModelessBars*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessBars_FinishMake 		(ModelessBars*	self);
void	ModelessBars_DataChanged		(ModelessBars*	self,
								 long		inDataID);
Boolean	ModelessBars_Filter			(ModelessBars*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessBarsDialog;
