// ModelessButtons.h -- modeless dialog

#pragma once

#include "AMDialog.h"

//----------
struct ModelessButtons {
	AMDialog		super;

	ControlHandle	mInvisibleHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mDefaultHandle;
	ControlHandle	mBevelHandle;
	ControlHandle	mButtonHandle;
	ControlHandle	mNextHandle;
	ControlHandle	mNext2Handle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mRightHandle;
	ControlHandle	mLightHandle;
	ControlHandle	mRight2Handle;
	ControlHandle	mButton2Handle;
	ControlHandle	mRight3Handle;
	ControlHandle	mRect3DHandle;
	ControlHandle	mLeftIconHandle;
	ControlHandle	mRightIconHandle;
	ControlHandle	mTitledPICTHandle;
};
typedef struct ModelessButtons ModelessButtons;

//----------
ModelessButtons*		NewModelessButtons ();
void	DeleteModelessButtons		(ModelessButtons*		window);

//public:
void	ModelessButtons_Create ();
void	ModelessButtons_Show ();
void	ModelessButtons_Close ();

//public:
void	ModelessButtons_Init		(ModelessButtons*	self);
void	ModelessButtons_Free		(ModelessButtons*	self);

//public:
void	ModelessButtons_ConnectToData	(ModelessButtons*	self,
								 AMSignaler*	inData);
void	ModelessButtons_DoItem			(ModelessButtons*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessButtons_FinishMake 		(ModelessButtons*	self);
void	ModelessButtons_DataChanged		(ModelessButtons*	self,
								 long		inDataID);
Boolean	ModelessButtons_Filter			(ModelessButtons*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessButtonsDialog;
