/* Radios.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct EverythingEngine;

//----------
struct Radios {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mRadioGroupGroupHandle;
	ControlHandle	mStandard3Handle;
	ControlHandle	mGroupBoxHandle;
	ControlHandle	mGroupGroupHandle;
	ControlHandle	mGroupRadio1Handle;	// Fred
	ControlHandle	mGroupRadio2Handle;	// George
	ControlHandle	mGroupRadio3Handle;	// Harry
	ControlHandle	mGraphic3BoxHandle;
	ControlHandle	mGraphic3GroupHandle;
	ControlHandle	mStopHandle;
	ControlHandle	mGoHandle;
	ControlHandle	mBevel3BoxHandle;
	ControlHandle	mBevel3GroupHandle;
	ControlHandle	mRadioButtonHandle;
	ControlHandle	mRadioButton2Handle;
	ControlHandle	mTextBoxHandle;
	ControlHandle	mTextGroupHandle;
	ControlHandle	mNameHandle;
	ControlHandle	mKindHandle;
	ControlHandle	mSizeHandle;
};
typedef struct Radios Radios;

//----------
Radios*		NewRadios ();
void	DeleteRadios		(Radios*		window);

//----------
//static:
void	Radios_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	Radios_Init		(Radios*	self);
void	Radios_Free		(Radios*	self);

void	Radios_Open		(Radios*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	Radios_Close	(Radios*	self);

void	Radios_Track		(Radios*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	Radios_MouseIn		(Radios*	self,
								 Point			where,
								 short			modifiers);
void	Radios_TypeIn		(Radios*	self,
								 char			ch);
void	Radios_ExitCurField	(Radios*	self);
void	Radios_DataChanged	(Radios*	self,
								 long			inDataID);
void	Radios_Resize		(Radios*	self);
void	Radios_Scroll		(Radios*	self,
								 short			newValue,
								 short			oldValue);

Boolean		Radios_DoCommand	(Radios*	self,
									 long			inCommand);
