/* Stuff.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct EverythingEngine;

//----------
struct Stuff {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mToolsHandle;
	ControlHandle	mPopupsHandle;
	ControlHandle	mFromValuesList2Handle;
	ControlHandle	mFromMenuHandle;
	ControlHandle	mListsHandle;
	ControlHandle	mTextListHandle;
};
typedef struct Stuff Stuff;

//----------
Stuff*		NewStuff ();
void	DeleteStuff		(Stuff*		window);

//----------
//static:
void	Stuff_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	Stuff_Init		(Stuff*	self);
void	Stuff_Free		(Stuff*	self);

void	Stuff_Open		(Stuff*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	Stuff_Close	(Stuff*	self);

void	Stuff_Track		(Stuff*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	Stuff_MouseIn		(Stuff*	self,
								 Point			where,
								 short			modifiers);
void	Stuff_TypeIn		(Stuff*	self,
								 char			ch);
void	Stuff_ExitCurField	(Stuff*	self);
void	Stuff_DataChanged	(Stuff*	self,
								 long			inDataID);
void	Stuff_Resize		(Stuff*	self);
void	Stuff_Scroll		(Stuff*	self,
								 short			newValue,
								 short			oldValue);

Boolean		Stuff_DoCommand	(Stuff*	self,
									 long			inCommand);
