/* AboutDialog.c -- Modal dialog */

#include <Types.h>
#include <Quickdraw.h>
#include <Controls.h>
#include <Dialogs.h>
#include <Events.h>
#include <Lists.h>
#include <Menus.h>
#include <TextEdit.h>
#include <Appearance.h>
#include <stdlib.h>

#include "ResourceDefs.h"
#include "Miscellany.h"
#include "ControlUtils.h"
//#include "DialogAids.h"
//#include "WindowAids.h"

#include "Dispatcher.h"
#include "AboutDialog.h"

#define kOKButton		1
#define kAboutLabel		2


/*----------*/
Boolean		GetAboutDialog ()
{
	Boolean			result = false;
	AboutDialog*		dialog = NewAboutDialog ();

	result = AMDialog_RunModal ((AMDialog*)dialog, DLOG_AboutDialog, nil);

	DeleteAboutDialog (dialog);

	return result;
}

//----------
AboutDialog*		NewAboutDialog ()
{
	AboutDialog*		dialog;

	dialog = (AboutDialog*)malloc (sizeof (AboutDialog));
	AboutDialog_Init (dialog);
	SetClassID (dialog, classAboutDialog);

	return dialog;
}

//----------
void	DeleteAboutDialog (
	AboutDialog*		dialog)
{
	AboutDialog_Free (dialog);
	free (dialog);
}

//----------
void	AboutDialog_Init (
	AboutDialog*		self)
{
	AMDialog_Init ((AMDialog*)self);
}

//----------
void	AboutDialog_Free (
	AboutDialog*		self)
{
	AMDialog_Free ((AMDialog*)self);
}

//----------
void	AboutDialog_FinishMake (
	AboutDialog*		self)
{
	self->mOKHandle = AMDialog_GetControlItem ((AMDialog*)self, kOKButton);
	SetDefaultState (self->mOKHandle, true);
	SetDialogDefaultItem (((AMDialog*)self)->mDialog, kOKButton);
}

//----------
void	AboutDialog_ConnectToData (
	AboutDialog*		self,
	AMSignaler*		inData)
{
	AMDialog_ConnectToData ((AMDialog*)self, inData);

}

//----------
void	AboutDialog_DoItem (
	AboutDialog*		self,
	SInt16		inItemHit)
{
	switch (inItemHit) {
	case kOKButton:
			AMDialog_SetResult ((AMDialog*)self, true);
		break;

	} // switch
}

//----------
void	AboutDialog_DataChanged (
	AboutDialog*		self,
	long		inDataID)
{
}

//----------
Boolean		AboutDialog_Filter (
	AboutDialog*			self,
	EventRecord			*ioEvent,
	DialogItemIndex		*outItemHit)
{
	return AMDialog_Filter ((AMDialog*)self, ioEvent, outItemHit);
}
