// DDocData -- data class for Gadgets

#pragma once

#include "AMSignaler.h"

#define idTriangle		'Trie'
#define idLeftRight		'Left'
#define idRadios		'Rads'
#define idBars		'Bars'
#define idStandard2		'Sta2'
#define idGraphic		'Grac'
#define idSlider		'Slir'
#define idTickMarks		'Tics'
#define idNonDirectional		'Nonl'
#define idLittleArrows		'Lits'
#define idSpinner		'Spir'
#define idVolumeControl		'Voll'
#define idJimSSlider		'Jimr'
#define idStandard3		'Sta3'
#define idIndeterminate		'Inde'
#define idChasingArrows		'Chas'
#define idRectangle		'Rece'
#define idRoundRect		'Rout'
#define idBarberPole		'Bare'
#define idRoundBarber		'Rour'
#define idSmall		'Smal'
#define idLarge		'Lare'
#define idX12345		'X145'
#define idX12345e6		'X126'
#define idPassword		'Pasd'
#define idTheDate		'Thee'
#define idTheTime		'Thee'
#define idStyled		'Styd'

//----------
struct DDocData {
	AMSignaler		super;

	Boolean		mTriangle;
	Boolean		mLeftRight;
	SInt16		mRadios;
	UInt16		mBars;
	SInt16		mStandard2;
	SInt16		mGraphic;
	SInt16		mSlider;
	SInt16		mTickMarks;
	SInt16		mNonDirectional;
	SInt16		mLittleArrows;
	SInt16		mSpinner;
	SInt16		mVolumeControl;
	SInt16		mJimSSlider;
	SInt16		mStandard3;
	SInt16		mIndeterminate;
	SInt16		mChasingArrows;
	SInt16		mRectangle;
	SInt16		mRoundRect;
	SInt16		mBarberPole;
	SInt16		mRoundBarber;
	Str255		mSmall;
	Str255		mLarge;
	SInt32		mX12345;
	double		mX12345e6;
	Str255		mPassword;
	LongDateRec		mTheDate;
	LongDateRec		mTheTime;
	Str255		mStyled;
};
typedef struct DDocData DDocData;

//----------
DDocData*		NewDDocData ();
void	DeleteDDocData		(DDocData*		data);

//----------
void		DDocData_Init	(DDocData*		self);
void		DDocData_Free	(DDocData*		self);

Boolean		GetTriangle		(DDocData*		self);
void		SetTriangle		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetLeftRight		(DDocData*		self);
void		SetLeftRight		(DDocData*		self,
							 Boolean		inValue);
SInt16		GetRadios		(DDocData*		self);
void		SetRadios		(DDocData*		self,
							 SInt16		inValue);
UInt16		GetBars		(DDocData*		self);
void		SetBars		(DDocData*		self,
							 UInt16		inValue);
SInt16		GetStandard2		(DDocData*		self);
void		SetStandard2		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetGraphic		(DDocData*		self);
void		SetGraphic		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetSlider		(DDocData*		self);
void		SetSlider		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetTickMarks		(DDocData*		self);
void		SetTickMarks		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetNonDirectional		(DDocData*		self);
void		SetNonDirectional		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetLittleArrows		(DDocData*		self);
void		SetLittleArrows		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetSpinner		(DDocData*		self);
void		SetSpinner		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetVolumeControl		(DDocData*		self);
void		SetVolumeControl		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetJimSSlider		(DDocData*		self);
void		SetJimSSlider		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetStandard3		(DDocData*		self);
void		SetStandard3		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetIndeterminate		(DDocData*		self);
void		SetIndeterminate		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetChasingArrows		(DDocData*		self);
void		SetChasingArrows		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRectangle		(DDocData*		self);
void		SetRectangle		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRoundRect		(DDocData*		self);
void		SetRoundRect		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetBarberPole		(DDocData*		self);
void		SetBarberPole		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRoundBarber		(DDocData*		self);
void		SetRoundBarber		(DDocData*		self,
							 SInt16		inValue);
StringPtr	GetSmall		(DDocData*		self);
void		SetSmallStr	(DDocData*		self,
							 Str255		inValue);
void		SetSmallHandle	(DDocData*		self,
							 CharsHandle		inValue);
StringPtr	GetLarge		(DDocData*		self);
void		SetLargeStr	(DDocData*		self,
							 Str255		inValue);
void		SetLargeHandle	(DDocData*		self,
							 CharsHandle		inValue);
SInt32		GetX12345		(DDocData*		self);
void		SetX12345		(DDocData*		self,
							 SInt32		inValue);
double		GetX12345e6		(DDocData*		self);
void		SetX12345e6		(DDocData*		self,
							 double		inValue);
StringPtr	GetPassword		(DDocData*		self);
void		SetPasswordStr	(DDocData*		self,
							 Str255		inValue);
void		SetPasswordHandle	(DDocData*		self,
							 CharsHandle		inValue);
LongDateRec		GetTheDate		(DDocData*		self);
void		SetTheDate		(DDocData*		self,
							 LongDateRec		inValue);
LongDateRec		GetTheTime		(DDocData*		self);
void		SetTheTime		(DDocData*		self,
							 LongDateRec		inValue);
StringPtr	GetStyled		(DDocData*		self);
void		SetStyledStr	(DDocData*		self,
							 Str255		inValue);
void		SetStyledHandle	(DDocData*		self,
							 CharsHandle		inValue);
