/* EditText.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct GadgetsEngine;

//----------
struct EditText {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mSmallHandle;
	ControlHandle	mLargeHandle;
	ControlHandle	mX12345Handle;
	ControlHandle	mX12345e6Handle;
	ControlHandle	mPasswordHandle;
	ControlHandle	mDateHandle;
	ControlHandle	mTimeHandle;
	ControlHandle	mStyledHandle;
};
typedef struct EditText EditText;

//----------
EditText*		NewEditText ();
void	DeleteEditText		(EditText*		window);

//----------
//static:
void	EditText_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	EditText_Init		(EditText*	self);
void	EditText_Free		(EditText*	self);

void	EditText_Open		(EditText*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	EditText_Close	(EditText*	self);

void	EditText_Track		(EditText*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	EditText_MouseIn		(EditText*	self,
								 Point			where,
								 short			modifiers);
void	EditText_TypeIn		(EditText*	self,
								 char			ch);
void	EditText_ExitCurField	(EditText*	self);
void	EditText_DataChanged	(EditText*	self,
								 long			inDataID);
void	EditText_Resize		(EditText*	self);
void	EditText_Scroll		(EditText*	self,
								 short			newValue,
								 short			oldValue);

Boolean		EditText_DoCommand	(EditText*	self,
									 long			inCommand);
