// GadgetsApp.c -- application-level functions

#include <Types.h>
#include <Quickdraw.h>
#include <Controls.h>
#include <Events.h>
#include <Lists.h>
#include <Menus.h>
#include <TextEdit.h>
#include <stdlib.h>

#include "ResourceDefs.h"
#include "Dispatcher.h"

#include "GadgetsEngine.h"
#include "GadgetsDoc.h"
#include "AMWindow.h"
#include "GadgetsApp.h"


//----------
GadgetsApp*		NewGadgetsApp ()
{
	GadgetsApp*		app;

	app = (GadgetsApp*)malloc (sizeof (GadgetsApp));
	GadgetsApp_Init (app);
	SetClassID (app, classGadgetsApp);

	return app;
}

//----------
void	DeleteApp (
	AMApp*		app)
{
	GadgetsApp_Free ((GadgetsApp*)app);
	free (app);
}

/*----------*/
void	GadgetsApp_Init (
	GadgetsApp*		self)
{
	AMApp_Init ((AMApp*) self);

	self->super.mNumOpenTypes = 1;
	self->super.mOpenTypeList [0] = kFileType;
}

/*----------*/
void	GadgetsApp_Free (
	GadgetsApp*		self)
{
	AMApp_Free ((AMApp*) self);
}

/*----------*/
AMDoc*		MakeDoc (
	AMApp*		self)
{
	GadgetsDoc*		doc = NewGadgetsDoc ();

	if (doc != nil) {
		//? add to list of docs
	}

	return (AMDoc*) doc;
}

/*----------*/
void	OpenApp (
	AMApp*		self)
{
	DoNew (self);
}

//----------
Boolean		DoAppCommand (
	AMApp*		self,
	long		inCommand)
{
	Boolean		result = true;

	switch (inCommand) {
		case cmdNew:
				DoNew (self);
			break;
		case cmdOpen:
				DoOpen (self);
			break;
		case cmdClose:
				DoClose (self);
			break;
		case cmdQuit:
				DoQuit (self);
			break;

		default:
				result = false;
	} // case

	return result;
}
