/* TabbedPanel.h */

#pragma once

#include "AMWindow.h"

struct AMDoc;
struct DDocData;
struct GadgetsEngine;

//----------
struct TabbedPanel {
	AMWindow		super;

	DDocData*		mData;
	ControlHandle	mBarsHandle;
	ControlHandle	mScrollBarsHandle;
	ControlHandle	mStandard2Handle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mSliderHandle;
	ControlHandle	mTickMarksHandle;
	ControlHandle	mNonDirectionalHandle;
	ControlHandle	mLittleArrowsHandle;
	ControlHandle	mSpinnerHandle;
	ControlHandle	mVolumeControlHandle;
	ControlHandle	mJimSSliderHandle;
	ControlHandle	mProgressBarsHandle;
	ControlHandle	mStandard3Handle;
	ControlHandle	mIndeterminateHandle;
	ControlHandle	mChasingArrowsHandle;
	ControlHandle	mRectangleHandle;
	ControlHandle	mRoundRectHandle;
	ControlHandle	mBarberPoleHandle;
	ControlHandle	mRoundBarberHandle;
};
typedef struct TabbedPanel TabbedPanel;

//----------
TabbedPanel*		NewTabbedPanel ();
void	DeleteTabbedPanel		(TabbedPanel*		window);

//----------
//static:
void	TabbedPanel_Create	(AMDoc*			inDoc,
							 DDocData*		inData);

//public:
void	TabbedPanel_Init		(TabbedPanel*	self);
void	TabbedPanel_Free		(TabbedPanel*	self);

void	TabbedPanel_Open		(TabbedPanel*	self,
							 AMDoc*			inDoc,
							 DDocData*		inData);
void	TabbedPanel_Close	(TabbedPanel*	self);

void	TabbedPanel_Track		(TabbedPanel*	self,
								 ControlHandle	whichControl,
					 			 short	 		whichPart,
								 Point			where);
void	TabbedPanel_MouseIn		(TabbedPanel*	self,
								 Point			where,
								 short			modifiers);
void	TabbedPanel_TypeIn		(TabbedPanel*	self,
								 char			ch);
void	TabbedPanel_ExitCurField	(TabbedPanel*	self);
void	TabbedPanel_DataChanged	(TabbedPanel*	self,
								 long			inDataID);
void	TabbedPanel_Resize		(TabbedPanel*	self);
void	TabbedPanel_Scroll		(TabbedPanel*	self,
								 short			newValue,
								 short			oldValue);

Boolean		TabbedPanel_DoCommand	(TabbedPanel*	self,
									 long			inCommand);
