// Dispatcher.h

#pragma once

#define classTemperatureApp		1
#define classTemperatureDoc		2
#define classTemperatureEngine		3
#define classMainWindow		4
#define classAboutDialog		5

#include "AMWindow.h"
#include "AMDialog.h"

/*----------*/
void	DoIdle	(void);

//----------
// windows
void	Close		(AMWindow*		window);
void	DoTrack		(AMWindow*		window,
			 		 ControlHandle	whichControl,
			 		 short	 		whichPart,
					 Point			where);
void	MouseIn		(AMWindow*		window,
			 		 Point			where,
					 short			modifiers);
void	TypeIn		(AMWindow*		window,
			 		 char			ch);
void	Resize		(AMWindow*		window);
void	Scroll		(AMWindow*		window,
			 		 short			newValue,
					 short			oldValue);
Boolean	DoCommand	(AMWindow*		window,
			 		 long			inCommand);
void	ExitCurField	(AMWindow*		window);
void	DataChanged		(AMResponder*	responder,
						 long			inDataID);

//----------
// dialogs
void	FinishMake	(AMDialog*		dialog);
void	ConnectToData	(AMDialog*		dialog,
						 AMSignaler*	inData);
void	DoItem		(AMDialog*		dialog,
					 SInt16			inItemHit);
Boolean	Filter		(AMDialog*			dialog,
					 EventRecord		*ioEvent,
					 DialogItemIndex	*outItemHit);

//----------
// (to be obsolete) modeless dialogs
void	InitModelessDialogs (void);
void	CloseModelessDialog (DialogPtr		whichDialog);
