// TemperatureApp.c -- application-level functions

#include <Types.h>
#include <Quickdraw.h>
#include <Controls.h>
#include <Events.h>
#include <Lists.h>
#include <Menus.h>
#include <TextEdit.h>
#include <stdlib.h>

#include "ResourceDefs.h"
#include "Dispatcher.h"

#include "TemperatureEngine.h"
#include "TemperatureDoc.h"
#include "AMWindow.h"
#include "TemperatureApp.h"


//----------
TemperatureApp*		NewTemperatureApp ()
{
	TemperatureApp*		app;

	app = (TemperatureApp*)malloc (sizeof (TemperatureApp));
	TemperatureApp_Init (app);
	SetClassID (app, classTemperatureApp);

	return app;
}

//----------
void	DeleteApp (
	AMApp*		app)
{
	TemperatureApp_Free ((TemperatureApp*)app);
	free (app);
}

/*----------*/
void	TemperatureApp_Init (
	TemperatureApp*		self)
{
	AMApp_Init ((AMApp*) self);

	self->super.mNumOpenTypes = 1;
	self->super.mOpenTypeList [0] = kFileType;
}

/*----------*/
void	TemperatureApp_Free (
	TemperatureApp*		self)
{
	AMApp_Free ((AMApp*) self);
}

/*----------*/
AMDoc*		MakeDoc (
	AMApp*		self)
{
	TemperatureDoc*		doc = NewTemperatureDoc ();

	if (doc != nil) {
		//? add to list of docs
	}

	return (AMDoc*) doc;
}

/*----------*/
void	OpenApp (
	AMApp*		self)
{
	DoNew (self);
}

//----------
Boolean		DoAppCommand (
	AMApp*		self,
	long		inCommand)
{
	Boolean		result = true;

	switch (inCommand) {
		case cmdNew:
				DoNew (self);
			break;
		case cmdOpen:
				DoOpen (self);
			break;
		case cmdClose:
				DoClose (self);
			break;
		case cmdQuit:
				DoQuit (self);
			break;

		default:
				result = false;
	} // case

	return result;
}
